# Bluetooth Configurations
CONFIG_BT=y
CONFIG_BT_PERIPHERAL=y
CONFIG_AOS=y
CONFIG_AOS_SECURITY_AUTHEN=y
CONFIG_BT_DEVICE_NAME="AO Transmitter"
CONFIG_BT_GATT_CLIENT=y
CONFIG_BT_MAX_PAIRED=1

# Crypto
CONFIG_MBEDTLS=y
CONFIG_MBEDTLS_BUILTIN=y
# CONFIG_MBEDTLS_LIBRARY=y

# TODO: Uncomment these when preferred parameters are confirmed
# CONFIG_BT_PERIPHERAL_PREF_MIN_INT=16
# CONFIG_BT_PERIPHERAL_PREF_MAX_INT=16
# CONFIG_BT_PERIPHERAL_PREF_LATENCY=0
# CONFIG_BT_PERIPHERAL_PREF_TIMEOUT=72
# CONFIG_BT_GAP_AUTO_UPDATE_CONN_PARAMS=y

CONFIG_BT_USER_PHY_UPDATE=y

# 244 bytes of payload
CONFIG_BT_L2CAP_TX_MTU=247
CONFIG_BT_BUF_ACL_TX_SIZE=251
CONFIG_BT_BUF_ACL_RX_SIZE=251
CONFIG_BT_CTLR_DATA_LENGTH_MAX=251

# Clock
CONFIG_CLOCK_CONTROL_NRF=y
CONFIG_CLOCK_CONTROL_NRF_K32SRC_XTAL=y
CONFIG_CLOCK_CONTROL_NRF_K32SRC_RC=n
CONFIG_CLOCK_CONTROL_NRF_K32SRC_SYNTH=n
CONFIG_CLOCK_CONTROL_NRF_K32SRC_RC_CALIBRATION=n

# Dynamic Memory
CONFIG_HEAP_MEM_POOL_SIZE=3000
CONFIG_BT_RX_STACK_SIZE=4096
CONFIG_MPSL_WORK_STACK_SIZE=2048
CONFIG_MAIN_STACK_SIZE=2048
CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=4096

# Peripheral Drivers
CONFIG_SPI=y
CONFIG_GPIO=y
CONFIG_PWM=y
CONFIG_PCAP_LIB=y
CONFIG_DK_LIBRARY=y

# Power management
CONFIG_POWEROFF=y
# Uncomment if anything needs to be in a low power state while off
#CONFIG_PM_DEVICE=y
CONFIG_HWINFO=y

# LED API
CONFIG_BLINK_PWM_DC=40
CONFIG_FADE_MAX_DC=40
CONFIG_STEADY_ON_DC=40
CONFIG_BLINK_WORK_PERIOD=250
CONFIG_LED_WORK_STACK_SIZE=1024

# PCAP Interface
CONFIG_PCAP_STACK_SIZE=8192

# Settings
CONFIG_SETTINGS=y
CONFIG_FLASH=y
CONFIG_FLASH_PAGE_LAYOUT=y
CONFIG_FLASH_MAP=y
CONFIG_NVS=y

CONFIG_CRC=y
CONFIG_AO_FRAME_DEVICE=y

CONFIG_AO_SETTINGS=y
